Bug 1163895 - LVM Thin: Allow operations on sets of thin volumes.
Summary: LVM Thin: Allow operations on sets of thin volumes.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1163894 1240518 1240538 1240549
Blocks: 1119323
TreeView+ depends on / blocked
 
Reported: 2014-11-13 16:17 UTC by Jonathan Earl Brassow
Modified: 2017-07-27 16:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1240518 (view as bug list)
Environment:
Last Closed: 2017-07-27 16:13:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jonathan Earl Brassow 2014-11-13 16:17:39 UTC
Allow operations on sets of thin volumes (eg, lvremove, lvchange).  Sets should be based on queries, eg.
- descendants of a particular thin.
- all thins created in a time range etc).
- descendants of a particular thin that diverged since a particular time.

Working out what queries would be useful should be the first action for this task.

Comment 1 Alasdair Kergon 2014-11-13 17:08:23 UTC
Needs splitting into 2 independent bugzillas.

1) Ensure that the fields requested are all available with lvs.

2) Allow --select to be used with all the tools.

Comment 2 Peter Rajnoha 2015-02-04 15:37:21 UTC
A bit related to bug #1163894.

Comment 3 Peter Rajnoha 2015-02-04 15:42:51 UTC
(In reply to Alasdair Kergon from comment #1)
> Needs splitting into 2 independent bugzillas.
> 2) Allow --select to be used with all the tools.

This part is adressed already by patchset in this devel branch, should be merged soon into master:

https://git.fedorahosted.org/cgit/lvm2.git/log/?h=dev-prajnoha-tool-select

We just need proper fields to match against. Also, we need to add proper support for date and time handling, including date/time ranges for -S/--select (see also bug #1112645).

Comment 4 Peter Rajnoha 2015-02-10 15:23:37 UTC
(In reply to Peter Rajnoha from comment #3)
> (In reply to Alasdair Kergon from comment #1)
> > Needs splitting into 2 independent bugzillas.
> > 2) Allow --select to be used with all the tools.
> 
> This part is adressed already by patchset in this devel branch, should be
> merged soon into master:
> 
> https://git.fedorahosted.org/cgit/lvm2.git/log/?h=dev-prajnoha-tool-select
> 

Merged with master now (upcoming lvm2 v2.02.117).

Will look at the 1) from comment #1 now (including support for proper date and time matching).

Comment 5 Peter Rajnoha 2015-03-02 15:41:07 UTC
(In reply to Jonathan Earl Brassow from comment #0)
> Allow operations on sets of thin volumes (eg, lvremove, lvchange).  Sets
> should be based on queries, eg.
> - descendants of a particular thin.

We could use list of strings here to report a new field that would display the set of all descendants (DM_REPORT_FIELD_TYPE_STRING_LIST report type). Also, for the other way round - another field to display all origins of the snapshots LV (currently we have "origin" field, but that displays only direct origin currently, not the whole chain, so there would be a new field called something like "full origin chain").

Comment 7 Peter Rajnoha 2015-07-07 08:41:40 UTC
I've opened separate bugs to track this more in detail as this actually consists of several areas which require solutions and it's also better for QA to test these also independently to make up for this whole new feature:

  bug #1240518 - Display ancestors and descendants for thin snapshot/origin LVs
  bug #1240538 - Add direct support for time in LVM reports and LVM selection criteria
  bug #1240549 - Display ancestors and descendants for thin snapshot/origin LVs even after dependency chain is broken after removing some LVs
  bug #1240555 - Track and report divergence for thin snapshot and origin LV

Comment 10 Jonathan Earl Brassow 2017-07-27 16:13:47 UTC
this tracker is now tracking all closed bugs... closing it.


Note You need to log in before you can comment on or make changes to this bug.